Blog

CoursEval jumps on SSL Poodle Vulnerability and Google Chrome Sunsetting SHA-1

In order to maintain a high level of functionality and security for our clients’ course evaluations, the development team at Academic Management Systems is running critical updates this weekend.

The following items will be addressed:

SSL Poodle Vulnerability
Google Chrome Sunsetting SHA-1

The updates will result in improved security and will help avoid headaches with Google Chrome users starting in November.

Please follow us on Twitter and Facebook .